- Infos im HLRS Wiki sind nicht rechtsverbindlich und ohne Gewähr -
- Information contained in the HLRS Wiki is not legally binding and HLRS is not responsible for any damages that might result from its use -
HPE Hawk/powertestbed: Difference between revisions
(Created page with "tipptopp") |
No edit summary |
||
Line 1: | Line 1: | ||
tipptopp | tipptopp | ||
we have two mode of operations in powertestbed | |||
fixed power per socket | |||
dynamic power steering via golden section search for the minimum of a predefined metric. | |||
''' | |||
#!/bin/bash | |||
#PBS -N HPE_test | |||
#PBS -l walltime=14:00:00 | |||
#PBS -l select=8:node_type=rome:mpiprocs=32:ompthreads=4 | |||
#PBS -j oe | |||
#PBS -m abe | |||
# ---------------- | |||
# go to workspace: | |||
# ---------------- | |||
cd $PBS_O_WORKDIR | |||
# job settings: | |||
#-------------- | |||
export OMP_NUM_THREADS=8 | |||
export OMP_SCHEDULE='STATIC' | |||
export OMP_WAIT_POLICY='ACTIVE' | |||
# load modules: | |||
# ------------- | |||
# module load intel | |||
module load hlrs-software-stack/previous | |||
module load intel | |||
module load amd-libm | |||
# execute program: | |||
#----------------- | |||
export POWERSCHED_REDIS_HOST=hawk-monitor2 | |||
export JOBID=`echo $PBS_JOBID | cut -d. -f1` | |||
export NODELIST=`uniq $PBS_NODEFILE | cut -d. -f1 | paste -sd,` | |||
export POWER=172W | |||
# powersched prologue | |||
#-------------------- | |||
/usr/local/bin/powersched-debug start-job --id=$JOBID --nodes=$NODELIST --static-power amd_zen2=$POWER | |||
mpirun -ppn 16 -np 256 omplace -c 0-:bs=$OMP_NUM_THREADS+st=$OMP_NUM_THREADS ./ns3d_neo.out ns3d.i > logfile.16N.mid_power.out.$PBS_JOBID 2>&1 | |||
EXIT_CODE=$? | |||
# powersched epilogue | |||
#-------------------- | |||
/usr/local/bin/powersched-debug end-job --id=$JOBID | |||
# clean up: | |||
#---------- | |||
rm -rf output/* | |||
rm -rf restart_out/* | |||
# exit: | |||
#------ | |||
exit $EXIT_CODE | |||
''' |
Revision as of 13:24, 18 July 2023
tipptopp
we have two mode of operations in powertestbed fixed power per socket
dynamic power steering via golden section search for the minimum of a predefined metric.
- !/bin/bash
- PBS -N HPE_test
- PBS -l walltime=14:00:00
- PBS -l select=8:node_type=rome:mpiprocs=32:ompthreads=4
- PBS -j oe
- PBS -m abe
- ----------------
- go to workspace:
- ----------------
cd $PBS_O_WORKDIR
- job settings:
- --------------
export OMP_NUM_THREADS=8 export OMP_SCHEDULE='STATIC' export OMP_WAIT_POLICY='ACTIVE'
- load modules:
- -------------
- module load intel
module load hlrs-software-stack/previous module load intel module load amd-libm
- execute program:
- -----------------
export POWERSCHED_REDIS_HOST=hawk-monitor2 export JOBID=`echo $PBS_JOBID | cut -d. -f1` export NODELIST=`uniq $PBS_NODEFILE | cut -d. -f1 | paste -sd,` export POWER=172W
- powersched prologue
- --------------------
/usr/local/bin/powersched-debug start-job --id=$JOBID --nodes=$NODELIST --static-power amd_zen2=$POWER
mpirun -ppn 16 -np 256 omplace -c 0-:bs=$OMP_NUM_THREADS+st=$OMP_NUM_THREADS ./ns3d_neo.out ns3d.i > logfile.16N.mid_power.out.$PBS_JOBID 2>&1 EXIT_CODE=$?
- powersched epilogue
- --------------------
/usr/local/bin/powersched-debug end-job --id=$JOBID
- clean up:
- ----------
rm -rf output/* rm -rf restart_out/*
- exit:
- ------
exit $EXIT_CODE